---
title: '<ol>: The Ordered List element'
slug: Web/HTML/Element/ol
tags:
  - Element
  - HTML
  - HTML grouping content
  - 'HTML:Flow content'
  - Reference
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML <code>&lt;ol&gt;</code> element</strong> represents an ordered list of items — typically rendered as a numbered list.</span></p>

<div>{{EmbedInteractiveExample("pages/tabbed/ol.html", "tabbed-shorter")}}</div>

<p class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, and if the <code>&lt;ol&gt;</code> element's children include at least one {{HTMLElement("li")}} element, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Palpable_content">palpable content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>Zero or more {{ HTMLElement("li") }}, {{HTMLElement("script")}} and {{HTMLElement("template")}} elements.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">flow content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/List_role">list</a></code></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>{{ARIARole("directory")}}, {{ARIARole("group")}}, {{ARIARole("listbox")}}, {{ARIARole("menu")}}, {{ARIARole("menubar")}}, {{ARIARole("none")}}, {{ARIARole("presentation")}}, {{ARIARole("radiogroup")}}, {{ARIARole("tablist")}}, {{ARIARole("toolbar")}}, {{ARIARole("tree")}}</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{DOMxRef("HTMLOListElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element also accepts the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{HTMLAttrDef("reversed")}}</dt>
 <dd>This Boolean attribute specifies that the list’s items are in reverse order. Items will be numbered from high to low.</dd>
 <dt>{{HTMLAttrDef("start")}}</dt>
 <dd>An integer to start counting from for the list items. Always an Arabic numeral (1, 2, 3, etc.), even when the numbering <code>type</code> is letters or Roman numerals. For example, to start numbering elements from the letter "d" or the Roman numeral "iv," use <code>start="4"</code>.</dd>
 <dt>{{HTMLAttrDef("type")}}</dt>
 <dd>Sets the numbering type:
 <ul>
  <li><code>a</code> for lowercase letters</li>
  <li><code>A</code> for uppercase letters</li>
  <li><code>i</code> for lowercase Roman numerals</li>
  <li><code>I</code> for uppercase Roman numerals</li>
  <li><code>1</code> for numbers (default)</li>
 </ul>

 <p>The specified type is used for the entire list unless a different {{HTMLAttrxRef("type", "li")}} attribute is used on an enclosed {{HTMLElement("li")}} element.</p>

 <div class="notecard note">
 <p><strong>Note:</strong> Unless the type of the list number matters (like legal or technical documents where items are referenced by their number/letter), use the CSS {{CSSxRef("list-style-type")}} property instead.</p>
 </div>
 </dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>Typically, ordered list items display with a preceding <a href="/en-US/docs/Web/CSS/::marker">marker</a>, such as a number or letter.</p>

<p>The <code>&lt;ol&gt;</code> and {{HTMLElement("ul")}} elements may nest as deeply as desired, alternating between <code>&lt;ol&gt;</code> and <code>&lt;ul&gt;</code> however you like.</p>

<p>The <code>&lt;ol&gt;</code> and {{HTMLElement("ul")}} elements both represent a list of items. The difference is with the <code>&lt;ol&gt;</code> element, the order is meaningful. For example:</p>

<ul>
 <li>Steps in a recipe</li>
 <li>Turn-by-turn directions</li>
 <li>The list of ingredients in decreasing proportion on nutrition information labels</li>
</ul>

<p>To determine which list to use, try changing the order of the list items; if the meaning changes, use the <code>&lt;ol&gt;</code> element — otherwise you can use {{HTMLElement("ul")}}.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Simple_example">Simple example</h3>

<pre class="brush: html notranslate">&lt;ol&gt;
  &lt;li&gt;Fee&lt;/li&gt;
  &lt;li&gt;Fi&lt;/li&gt;
  &lt;li&gt;Fo&lt;/li&gt;
  &lt;li&gt;Fum&lt;/li&gt;
&lt;/ol&gt;
</pre>

<p>The above HTML will output:</p>

<p>{{EmbedLiveSample("Simple_example", 400, 100)}}</p>

<h3 id="Using_Roman_Numeral_type">Using Roman Numeral type</h3>

<pre class="brush: html notranslate">&lt;ol type="i"&gt;
  &lt;li&gt;Introduction&lt;/li&gt;
  &lt;li&gt;List of Greivances&lt;/li&gt;
  &lt;li&gt;Conclusion&lt;/li&gt;
&lt;/ol&gt; </pre>

<p>The above HTML will output:</p>

<p>{{EmbedLiveSample("Using_Roman_Numeral_type", 400, 100)}}</p>

<h3 id="Using_the_start_attribute">Using the start attribute</h3>

<pre class="brush: html notranslate">&lt;p&gt;Finishing places of contestants not in the winners’ circle:&lt;/p&gt;

&lt;ol start="4"&gt;
  &lt;li&gt;Speedwalk Stu&lt;/li&gt;
  &lt;li&gt;Saunterin’ Sam&lt;/li&gt;
  &lt;li&gt;Slowpoke Rodriguez&lt;/li&gt;
&lt;/ol&gt;
</pre>

<p>The above HTML will output:</p>

<p>{{EmbedLiveSample("Using_the_start_attribute", 400, 100)}}</p>

<h3 id="Nesting_lists">Nesting lists</h3>

<pre class="brush: html notranslate">&lt;ol&gt;
  &lt;li&gt;first item&lt;/li&gt;
  &lt;li&gt;second item  &lt;!-- closing &lt;/li&gt; tag not here! --&gt;
    &lt;ol&gt;
      &lt;li&gt;second item first subitem&lt;/li&gt;
      &lt;li&gt;second item second subitem&lt;/li&gt;
      &lt;li&gt;second item third subitem&lt;/li&gt;
    &lt;/ol&gt;
  &lt;/li&gt;            &lt;!-- Here's the closing &lt;/li&gt; tag --&gt;
  &lt;li&gt;third item&lt;/li&gt;
&lt;/ol&gt;
</pre>

<p>The above HTML will output:</p>

<p>{{EmbedLiveSample("Nesting_lists", 400, 150)}}</p>

<h3 id="Unordered_list_inside_ordered_list">Unordered list inside ordered list</h3>

<pre class="brush: html notranslate">&lt;ol&gt;
  &lt;li&gt;first item&lt;/li&gt;
  &lt;li&gt;second item  &lt;!-- closing &lt;/li&gt; tag not here! --&gt;
    &lt;ul&gt;
      &lt;li&gt;second item first subitem&lt;/li&gt;
      &lt;li&gt;second item second subitem&lt;/li&gt;
      &lt;li&gt;second item third subitem&lt;/li&gt;
    &lt;/ul&gt;
  &lt;/li&gt;            &lt;!-- Here's the closing &lt;/li&gt; tag --&gt;
  &lt;li&gt;third item&lt;/li&gt;
&lt;/ol&gt;
</pre>

<p>The above HTML will output:</p>

<p>{{EmbedLiveSample("Unordered_list_inside_ordered_list", 400, 150)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-ol-element', '&lt;ol&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change since last W3C snapshot, {{SpecName('HTML5 W3C')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "grouping-content.html#the-ol-element", "HTMLOListElement")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Added <code>reversed</code> and <code>start</code> attributed; un-deprecated <code>type</code></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/lists.html#h-10.2', '&lt;ol&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td>Deprecated <code>compact</code> and <code>type</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.ol")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other list-related HTML Elements: {{HTMLElement("ul")}}, {{HTMLElement("li")}}, {{HTMLElement("menu")}}</li>
 <li>CSS properties that may be specially useful to style the <code>&lt;ol&gt;</code> element:
  <ul>
   <li>the {{CSSxRef("list-style")}} property, to choose the way the ordinal displays</li>
   <li><a href="/en-US/docs/Web/CSS/CSS_Lists_and_Counters/Using_CSS_counters">CSS counters</a>, to handle complex nested lists</li>
   <li>the {{CSSxRef("line-height")}} property, to simulate the deprecated {{HTMLAttrxRef("compact", "ol")}} attribute</li>
   <li>the {{CSSxRef("margin")}} property, to control the list indentation</li>
  </ul>
 </li>
</ul>
